#pragma once

#include "../ecs_component.h"
#include "../component/component_sprite.h"

void entity_sprite_init(ECS* ecs, u32 id, Texture texture, vec2 size, vec3 position);
void entity_sprite_atlas_init(ECS* ecs, u32 id, Texture texture, ivec2 frameSize, ivec2 atlasSize, vec2 size, vec3 position);
